import java.io.*;
import java.util.StringTokenizer;

public class EchoStandard
{
    public static void main( String[] args ) throws IOException
    {
        String delimiters = " .?!()[]{}|?/&\\,;:-\'\"\t\n\r";

        BufferedReader inputFile = new BufferedReader(
                                       new InputStreamReader( System.in ) );
        PrintWriter   outputFile = new PrintWriter(
                                       new OutputStreamWriter( System.out ) );

        String buffer = null;

        while( true )
        {
            buffer = inputFile.readLine();

            if ( buffer == null ) break;

            buffer = buffer.toLowerCase();
            StringTokenizer tokens = new StringTokenizer( buffer, delimiters );

            while( tokens.hasMoreElements() )
            {
                String word = tokens.nextToken();
                outputFile.println( word );
            }
        }
    }
}
